std::unordered_map::empty(3)

NAME
std::unordered_map::empty - std::unordered_map::empty

Synopsis
   bool empty() const noexcept; (since C++11)
                        (until C++20)
   [[nodiscard]] bool empty() const noexcept; (since C++20)
   Checks if the container has no elements, i.e. whether begin() == end().

Parameters
   (none)

Return value
   true if the container is empty, false otherwise

Complexity
   Constant.

Example
   The following code uses empty to check if a std::unordered_map<int,int> contains any
   elements: // Run this code
 #include <unordered_map>
 #include <iostream>
 #include <utility>
 int main()
 {
     std::unordered_map<int, int> numbers;
     std::cout << std::boolalpha;
     std::cout << "Initially, numbers.empty(): " << numbers.empty() << '\n';
     numbers.emplace(42, 13);
     numbers.insert(std::make_pair(13317, 123));
     std::cout << "After adding elements, numbers.empty(): " << numbers.empty() << '\n';
 }

Output:
 Initially, numbers.empty(): true
 After adding elements, numbers.empty(): false

See also
   size returns the number of elements
   (C++11) (public member function)
   empty checks whether the container is empty
   (C++17) (function template)